### Method

# Ide LspCompletionItem get_additional_text_edits

#### Declaration

    GPtrArray*
    ide_lsp_completion_item_get_additional_text_edits (
      IdeLspCompletionItem* self,
      GFile* file
    )

#### Description

Obtain an array of all additional text edits to be applied to the project.

Available since: | 41.0

#### Parameters

`file` | `GFile`
| The file the completion is applied to.
| The data is owned by the caller of the function.

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `IdeTextEdit`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.